# Beneficiary confirmation ## Get account lookup by status - [GET /account_lookups](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/beneficiary-confirmation/getaccountlookupbystatus.md): Get Account Lookup entities by status and other filters. Status defaults to REQUESTED. ## Initiate account lookup - [POST /account_lookups/request](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/beneficiary-confirmation/initiateaccountlookup.md): Creates an Account Lookup request to validate a beneficiary's account details before sending a payment. Account lookups are not part of the payment flow and can be made at any time in the payment process. ## Complete account lookup - [POST /account_lookups/response](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/beneficiary-confirmation/completeaccountlookup.md): Posts an Account Lookup response to validate a beneficiary's account details before payment. ## Get account lookup by ID - [GET /account_lookups/{account_lookup_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/beneficiary-confirmation/getaccountlookupbyid.md): Gets an Account Lookup entity for its account_lookup_id value.